curl --request POST \
--url https://api.example.com/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-environment: <x-environment>' \
--data '
{
"name": "<string>",
"termCount": 5000,
"description": "<string>",
"pricing": {}
}
'import requests
url = "https://api.example.com/prices"
payload = {
"name": "<string>",
"termCount": 5000,
"description": "<string>",
"pricing": {}
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', termCount: 5000, description: '<string>', pricing: {}})
};
fetch('https://api.example.com/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'termCount' => 5000,
'description' => '<string>',
'pricing' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-environment: <x-environment>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/prices"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"termCount\": 5000,\n \"description\": \"<string>\",\n \"pricing\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-environment", "<x-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/prices")
.header("x-environment", "<x-environment>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"termCount\": 5000,\n \"description\": \"<string>\",\n \"pricing\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-environment"] = '<x-environment>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"termCount\": 5000,\n \"description\": \"<string>\",\n \"pricing\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"priceModel": "fee",
"purchase": "one_time",
"termCount": 123,
"termUnit": "day",
"pricing": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Create price
curl --request POST \
--url https://api.example.com/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-environment: <x-environment>' \
--data '
{
"name": "<string>",
"termCount": 5000,
"description": "<string>",
"pricing": {}
}
'import requests
url = "https://api.example.com/prices"
payload = {
"name": "<string>",
"termCount": 5000,
"description": "<string>",
"pricing": {}
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', termCount: 5000, description: '<string>', pricing: {}})
};
fetch('https://api.example.com/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'termCount' => 5000,
'description' => '<string>',
'pricing' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-environment: <x-environment>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/prices"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"termCount\": 5000,\n \"description\": \"<string>\",\n \"pricing\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-environment", "<x-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/prices")
.header("x-environment", "<x-environment>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"termCount\": 5000,\n \"description\": \"<string>\",\n \"pricing\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-environment"] = '<x-environment>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"termCount\": 5000,\n \"description\": \"<string>\",\n \"pricing\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"priceModel": "fee",
"purchase": "one_time",
"termCount": 123,
"termUnit": "day",
"pricing": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Body
A brief description of this price.
1 - 250day, week, month, year A numerical value indicating the interval in combination with the Plude.API.Endpoints.Prices.CreatePrice.CreatePriceRequest.TermUnit.
Ex. 30 with a Plude.API.Endpoints.Prices.CreatePrice.CreatePriceRequest.TermUnit of day means 30 days.
1 <= x <= 10000one_time, recurring fee, volume, graduated, package advance, arrears, event_based An optional description of the price.
4000Dictionary with pricing entries. Key is a three-letter ISO currency code, in lowercase. Must be a supported currency.
Show child attributes
Show child attributes
Response
Created
Unique id for the price.
Name of the price.
Internal description for this price, not shown to customers. Typically notes for your team.
fee, volume, graduated, package one_time, recurring Billing cycle's term frequency (count).
day, week, month, year Show child attributes
Show child attributes
Was this page helpful?

